--- title: "Get Accounts" slug: "returns-information-about-accounts-for-a-given-user" updated: 2024-07-04T07:53:01Z published: 2024-07-04T07:53:01Z canonical: "help.awin.com/returns-information-about-accounts-for-a-given-user" --- > ## Documentation Index > Fetch the complete documentation index at: https://help.awin.com/llms.txt > Use this file to discover all available pages before exploring further. # Get Accounts Get/accounts **GET accounts** With the API authenticating on a user level, you don’t have to integrate the API authentication for each individual account you have. You can use “GET accounts” to pull an up-to-date list of accounts and automatically do your needed requests for every account you have. Please note: if you add or remove your user account to or from a publisher or advertiser account, it may take up to 10 minutes until this change in access rights takes effect in the API. **Who can use it** Every user has at least one publisher or advertiser account. Please note: to use one of the other endpoints/methods to retrieve account data, you need to at least have "viewer" access to the account. Header parametersAuthorizationstring accessToken Query parametersaccessTokenstringRequired access token typestring type of account: advertiser or publisher Responses200 OK object Which data fields do we provide | field name | description | | --- | --- | | accountId | ID of the account, as known from the frontend URLs (e.g. https://ui.awin.com/awin/affiliate/45628) | | accountName | programme name for an advertiser and company name for a publisher | | accountType | can be either publisher or advertiser | | userRole | the role your user account has for the account |